Object.defineProperty(exports, "__esModule", { value: true });
class ModelValidationErrorReports {
    constructor(model, validation) {
        this.model = model;
        this.validation = validation;
        this.push = this.push.bind(this);
    }
    push(...reports) {
        for (const report of reports) {
            this.validation.errors.push({ model: this.model, column: report.column, ids: report.ids, message: report.message });
        }
    }
}
exports.ModelValidationErrorReports = ModelValidationErrorReports;
//# sourceMappingURL=model_validation_error_report.js.map